PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
GPIO_PRT_Type Struct Reference

## Description

GPIO port registers (GPIO_PRT)

## Data Fields
__IOM uint32_t | OUT
__IOM uint32_t | OUT_CLR
__IOM uint32_t | OUT_SET
__IOM uint32_t | OUT_INV
__IM uint32_t | IN
__IOM uint32_t | INTR
__IOM uint32_t | INTR_MASK
__IM uint32_t | INTR_MASKED
__IOM uint32_t | INTR_SET
__IM uint32_t | RESERVED [7]
__IOM uint32_t | INTR_CFG
__IOM uint32_t | CFG
__IOM uint32_t | CFG_IN
__IOM uint32_t | CFG_OUT
__IOM uint32_t | CFG_SIO
__IM uint32_t | RESERVED1
__IOM uint32_t | CFG_IN_AUTOLVL
__IM uint32_t | RESERVED2
__IOM uint32_t | CFG_OUT2
__IOM uint32_t | CFG_SLEW_EXT
__IOM uint32_t | CFG_DRIVE_EXT0
__IOM uint32_t | CFG_DRIVE_EXT1
__IOM uint32_t | CFG_OUT3
__IOM uint32_t | CFG_RES
__IOM uint32_t | MSC_ANA
__IM uint32_t | RESERVED3

## Field Documentation

## ◆ OUT

__IOM uint32_t GPIO_PRT_Type::OUT

0x00000000 Port output data register

## ◆ OUT_CLR

__IOM uint32_t GPIO_PRT_Type::OUT_CLR

0x00000004 Port output data clear register

## ◆ OUT_SET

__IOM uint32_t GPIO_PRT_Type::OUT_SET

0x00000008 Port output data set register

## ◆ OUT_INV

__IOM uint32_t GPIO_PRT_Type::OUT_INV

0x0000000C Port output data invert register

## ◆ IN

__IM uint32_t GPIO_PRT_Type::IN

0x00000010 Port input state register

## ◆ INTR

__IOM uint32_t GPIO_PRT_Type::INTR

0x00000014 Port interrupt status register

## ◆ INTR_MASK

__IOM uint32_t GPIO_PRT_Type::INTR_MASK

0x00000018 Port interrupt mask register

## ◆ INTR_MASKED

__IM uint32_t GPIO_PRT_Type::INTR_MASKED

0x0000001C Port interrupt masked status register

## ◆ INTR_SET

__IOM uint32_t GPIO_PRT_Type::INTR_SET

0x00000020 Port interrupt set register

## ◆ RESERVED

__IM uint32_t GPIO_PRT_Type::RESERVED[7]

## ◆ INTR_CFG

__IOM uint32_t GPIO_PRT_Type::INTR_CFG

0x00000040 Port interrupt configuration register

## ◆ CFG

__IOM uint32_t GPIO_PRT_Type::CFG

0x00000044 Port configuration register

## ◆ CFG_IN

__IOM uint32_t GPIO_PRT_Type::CFG_IN

0x00000048 Port input buffer configuration register

## ◆ CFG_OUT

__IOM uint32_t GPIO_PRT_Type::CFG_OUT

0x0000004C Port output buffer configuration register

## ◆ CFG_SIO

__IOM uint32_t GPIO_PRT_Type::CFG_SIO

0x00000050 Port SIO configuration register

## ◆ RESERVED1

__IM uint32_t GPIO_PRT_Type::RESERVED1

## ◆ CFG_IN_AUTOLVL

__IOM uint32_t GPIO_PRT_Type::CFG_IN_AUTOLVL

0x00000058 Port input buffer AUTOLVL configuration register for S40E GPIO

## ◆ RESERVED2

__IM uint32_t GPIO_PRT_Type::RESERVED2

## ◆ CFG_OUT2

__IOM uint32_t GPIO_PRT_Type::CFG_OUT2

0x00000060 Port output buffer configuration register 2

## ◆ CFG_SLEW_EXT

__IOM uint32_t GPIO_PRT_Type::CFG_SLEW_EXT

0x00000064 Port output buffer slew extension configuration register

## ◆ CFG_DRIVE_EXT0

__IOM uint32_t GPIO_PRT_Type::CFG_DRIVE_EXT0

0x00000068 Port output buffer drive sel extension configuration register

## ◆ CFG_DRIVE_EXT1

__IOM uint32_t GPIO_PRT_Type::CFG_DRIVE_EXT1

0x0000006C Port output buffer drive sel extension configuration register

## ◆ CFG_OUT3

__IOM uint32_t GPIO_PRT_Type::CFG_OUT3

0x00000070 Port output buffer configuration register 3

## ◆ CFG_RES

__IOM uint32_t GPIO_PRT_Type::CFG_RES

0x00000074 Port resistor configuration register 3

## ◆ MSC_ANA

__IOM uint32_t GPIO_PRT_Type::MSC_ANA

0x00000078 Port MSCv3 AMUX enable

## ◆ RESERVED3

__IM uint32_t GPIO_PRT_Type::RESERVED3